local L = LibStub("AceLocale-3.0"):NewLocale("DebuffEnough", "enUS", true)

-- config strings

L["config"] = true
L["Toggle the Configuration Dialog"] = true

L["General"] = true
L["Enable"] = true
L["Enable or disable the addon"] = true
L["Enable While Solo"] = true
L["Enable DebuffEnough while not in a party/raid"] = true
L["Only Show For Bosses"] = true
L["Show DebuffEnough when targeting boss-level NPCs"] = true
L["Show for PvP"] = true
L["Show DebuffEnough when targeting enemy player characters"] = true

L["Display Mode"] = true
L["Verbose"] = true
L["Verbose mode displays a readout frame next to the indicator that shows you all of the information that would normally be shown in the mouseover tooltip."] = true
L["Percentage of Debuffs"] = true
L["Only display verbose mode after this percentage of debuffs have been applied to the target. Useful for keeping verbose mode hidden on trash when most debuffs are not applied. Set to 0 for no delay."] = true		
L["Verbose Only In Combat"] = true
L["If using verbose mode, only do so when in combat."] = true
L["Time In Combat"] = true
L["How long after entering combat to display verbose mode. Set to 0 for no delay."] = true

L["Look and Feel"] = true
L["Show Display"] = true
L["Shows the display"] = true
L["Lock"] = true
L["Lock the display"] = true
L["Strata"] = true
L["Strata of the display"] = true
L["Indicator"] = true
L["Scale"] = true
L["Scale of the indicator"] = true
L["Opacity"] = true
L["Opacity of the indicator"] = true
L["Debuff Color"] = true
L["Color to display when your target is debuff enough"] = true
L["Undebuff Color"] = true
L["Color to display when your target is not debuff enough"] = true
L["Warn Debuff Color"] = true
L["Color to display when the optimal debuff for a slot is not being applied"] = true
L["Border Color"] = true
L["Color of the indicator border"] = true
L["Border Size"] = true
L["Thickness of the indicator border"] = true
L["Background Inset"] = true
L["How far inside the border to set the background of the indicator"] = true
L["Background Texture"] = true
L["The background texture of the indicator"] = true
L["Border Texture"] = true
L["The border texture of the indicator"] = true
L["Readout"] = true
L["Anchor Point"] = true
L["The part of the readout that should be anchored to the indicator"] = true
L["Anchor"] = true
L["Where on the indicator the readout should be anchored"] = true
L["Scale of the readout"] = true
L["Opacity of the readout"] = true
L["Background Color"] = true
L["Color of the readout background"] = true
L["Color of the readout border"] = true
L["Thickness of the readout border"] = true
L["How far inside the border to set the background of the readout"] = true
L["The background texture of the readout"] = true
L["The border texture of the readout"] = true
L["Font"] = true
L["Font used in the readout"] = true
L["Font Size"] = true
L["Size of the font used in the readout"] = true
L["Filters"] = true
L["Show Best Debuff Only"] = true
L["Only show the best debuff for the given slot. If unchecked, all possible debuffs are shown, and the best options are highlighted."] = true
L["Show My Class Debuffs Only"] = true
L["Only show debuffs that your class can cast"] = true
L["Show Physical DPS Debuffs"] = true
L["Show debuffs that are useful to physical dps classes"] = true
L["Show Magic DPS Debuffs"] = true
L["Show debuffs that are useful to magic dps classes"] = true
L["Show Tank Debuffs"] = true
L["Show debuffs that are useful to tanks"] = true
L["Show Healing Taken Debuffs"] = true
L["Show debuffs that reduce healing taken"] = true
L["Show Cast Speed Debuffs"] = true
L["Show debuffs that reduce cast speed"] = true

L["Profile: %s"] = true

L["CENTER"] = true
L["TOP"] = true
L["BOTTOM"] = true
L["LEFT"] = true
L["RIGHT"] = true
L["TOPLEFT"] = true
L["TOPRIGHT"] = true
L["BOTTOMLEFT"] = true
L["BOTTOMRIGHT"] = true

-- tooltip output

L["Yes"] = true
L["No"] = true
L["Warning"] = true

L["Talents Scanned"] = true
L["Hint"] = "\n\n|cffafa4ffLeft-click|r |cffffffffto open config|r\n|cffafa4ffRight-click|r |cffffffffto report missing debuffs|r\n|cffafa4ffShift-right-click|r |cffffffffto force rescan of raid talents|r"
L["Currently disabled"] = true
L["All debuffs accounted for!"] = true
L["No target selected"] = true

-- debuff slots

L["Armor (Major)"] = true
L["Armor (Minor)"] = true
L["Attack Power"] = true
L["Ranged Attack Power"] = true
L["Bleed Damage"] = true
L["Cast Speed"] = true
L["Critical Strike Chance Taken"] = true
L["Healing Taken"] = true
L["Melee Attack Speed Slow"] = true
L["Melee Hit Chance Reduction"] = true
L["Physical Vulnerability"] = true
L["Spell Critical Strike Chance"] = true
L["Spell Damage Taken"] = true
L["Spell Hit Chance Taken"] = true

L["Physical DPS"] = true
L["Magic DPS"] = true
L["Tank"] = true

L["Worm"] = true
L["Wasp"] = true
L["Core Hound"] = true